Pages vues
GET https://analytics.meerabl.com/api/pageviews-normal/
curl --request GET \
--url 'https://analytics.meerabl.com/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.meerabl.com/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Obligatoire Entier | |
| type | Facultatif Chaîne de caractères | Valeurs autorisées : landing_page, pageview |
| session_id | Facultatif Entier | |
| visitor_id | Facultatif Entier | |
| has_bounced | Facultatif Entier | Valeurs autorisées : 0, 1 |
| search | Facultatif Chaîne de caractères | Chaîne de recherche. |
| search_by | Facultatif Chaîne de caractères | Champ dans lequel effectuer la recherche. Valeurs autorisées : path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign. |
| datetime_field | Facultatif Chaîne de caractères | Valeurs autorisées : date |
| datetime_start | Facultatif Chaîne de caractères | Filtrer les résultats à partir de cette date et heure. Format : Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne de caractères | Filtrer les résultats jusqu'à cette date et heure. Format : Y-m-d H:i:s. |
| order_by | Facultatif Chaîne de caractères | Champ utilisé pour trier les résultats. Valeurs autorisées : event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date. |
| order_type | Facultatif Chaîne de caractères | Sens du tri. Valeurs autorisées : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Numéro de la page à récupérer. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaité par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-15",
"datetime": "2026-09-15 20:18:02"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.meerabl.com/api/pageviews-normal?website_id=1&page=1",
"last": "https://analytics.meerabl.com/api/pageviews-normal?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analytics.meerabl.com/api/pageviews-normal?website_id=1&page=1"
}
}
GET https://analytics.meerabl.com/api/pageviews-normal/{event_id}
curl --request GET \
--url 'https://analytics.meerabl.com/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.meerabl.com/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-15",
"datetime": "2026-09-15 20:18:02"
}
}
DELETE https://analytics.meerabl.com/api/pageviews-normal/{event_id}
curl --request DELETE \
--url 'https://analytics.meerabl.com/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.meerabl.com/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \